Skip to main content
GET
/
candidate
List all candidates
curl --request GET \
  --url https://jobaffinity.fr/restapi/v1/candidate \
  --header 'Authorization: Basic <encoded-value>'
{
  "_self": "<string>",
  "_schema": "<string>",
  "_status": "OK",
  "_next": "<string>",
  "items": [
    {
      "_self": "<string>",
      "_schema": "<string>",
      "_status": "OK",
      "id": 123,
      "title": "MR",
      "first_name": "<string>",
      "last_name": "<string>",
      "email": "jsmith@example.com",
      "email_secondary": "jsmith@example.com",
      "birthdate": "2023-12-25",
      "home_phone": "<string>",
      "mobile_phone": "<string>",
      "office_phone": "<string>",
      "location": {
        "address": "<string>",
        "postalcode": "<string>",
        "town": "<string>",
        "country": "<string>"
      },
      "position": "<string>",
      "position_company": "<string>",
      "experience_start": "2023-12-25",
      "linkedin": "<string>",
      "instagram": "<string>",
      "applications": {
        "_self": "<string>"
      },
      "notes": {
        "_self": "<string>"
      },
      "pools": {
        "items": [
          {
            "name": "<string>",
            "candidates": {
              "_self": "<string>"
            }
          }
        ]
      }
    }
  ]
}

Authorizations

Authorization
string
header
required

HTTP Basic Authentication with API credentials

Query Parameters

limit
integer
default:20

Maximum number of items to return per page

Required range: 1 <= x <= 100
since
integer

Return items created or modified since this ID

Required range: x >= 0
first_name
string

Search candidates by first name.

last_name
string

Search candidates by last name.

email
string<email>

Search candidates by email address. Searches both primary email and secondary email.

pool_name
string

Search candidates by pool (vivier) name. Can be specified multiple times for AND logic (candidate must be in all specified pools). Use the pipe character | within a single value for OR logic (e.g. pool_name=ios|android).

Response

Paginated list of candidates

_self
string<uri>
_schema
string<uri>
_status
enum<string>
Available options:
OK,
INVALID
_next
string<uri> | null
items
object[]